/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BEI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEI_UPDATEPAYSTAT_ENTRY' AND KSQL_COL_NAME IN ('FPAYACCTORGID')) 
 ALTER TABLE T_BEI_UPDATEPAYSTAT_ENTRY ADD (FPAYACCTORGID BIGINT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_BEI_TRANSDETAIL', 'FBILLSTATUS', 'NVARCHAR(5)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_TRANSDETAIL', 'FDETAILID', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_TRANSDETAIL', 'FRECEIPTNO', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_TRANSDETAIL', 'FDATASOURCE', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_TRANSDETAIL', 'FRECEREDTYPE', 'NVARCHAR(5)', 'NOT NULL', '1111', '''0''';

 EXEC p_AlterColumn 'T_BEI_TRANSDETAIL', 'FSORTNO', 'BIGINT', 'NOT NULL', '1111', '0';

 EXEC p_AlterColumn 'T_BEI_BANKBALANCE_L', 'FPKID', 'NVARCHAR(18)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKBALANCE_L', 'FLOCALEID', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_TRANSDETAIL_L', 'FPKID', 'NVARCHAR(18)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_TRANSDETAIL_L', 'FLOCALEID', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAYBILL_L', 'FPKID', 'NVARCHAR(18)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAYBILL_L', 'FLOCALEID', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL_L', 'FPKID', 'NVARCHAR(18)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL_L', 'FLOCALEID', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKBALANCE', 'FBILLNO', 'NVARCHAR(60)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKBALANCE', 'FBILLSTATUS', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKBALANCE', 'FLOGO', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKBALANCE', 'FDATASOURCE', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FRECNAME', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FRECBANK', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FACCTBANKNUM', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FPROVINCE', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FCITY', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FSTATUS', 'NVARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FBANKRETURNMSG', 'NVARCHAR(200)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FREMARK', 'NVARCHAR(200)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAY_ENTRY', 'FBANKCHECKFLAG', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAYBILL', 'FBILLNO', 'NVARCHAR(60)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAYBILL', 'FBILLSTATUS', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAYBILL', 'FAGENTPAYBILLNO', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKAGENTPAYBILL', 'FSERIALNUMBER', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEI_BANKAGENTPAYBILL' AND KSQL_COL_NAME IN ('FISUPDATINGSTATUS')) 
 ALTER TABLE T_BEI_BANKAGENTPAYBILL ADD (FISUPDATINGSTATUS CHAR(1) DEFAULT '0' NOT NULL );
 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FBILLNO', 'NVARCHAR(60)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FBILLSTATUS', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FSRCBILLTYPE', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FRECBANKNUMBER', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FSTATEMENTREFNO', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FSERIALNUMBER', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FBATCHSEQID', 'NVARCHAR(80)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FBANKPAYSTATE', 'NVARCHAR(30)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_BEI_BANKPAYINGBILL', 'FSIGNTEXT', 'NVARCHAR(1000)', 'NULL', '1111', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BEI_BANKPAYINGBILL' AND KSQL_COL_NAME IN ('FISUPDATINGSTATUS')) 
 ALTER TABLE T_BEI_BANKPAYINGBILL ADD (FISUPDATINGSTATUS CHAR(1) DEFAULT '0' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BEI_table.sql **/
